""" GTC Loader Base Class definition

@author: Lei Shi
@date: 06/12/2018
"""
from abc import ABCMeta, abstractmethod

class GTCLoader(object):
    """Base class for GTC output file loaders
    """
    __metaclass__ = abc.ABCMeta

    def parse_shape(shape_string):
        """get the shape list of an numpy array from the Shape string
           description.
           
           :param string shape_string:
               ',' separated string describing the array's shape
        """
        return list(map(int, shape_string.split(',')))


